<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity MovingSlip.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinvite"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_inventory_item_to_id"
                                 referencedColumnNames="idinviteto"
                                 referencedTableName="inventory_item"/>

        <addForeignKeyConstraint baseColumnNames="idcontainer"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_container_from_id"
                                 referencedColumnNames="idcontainerfrom"
                                 referencedTableName="container"/>

        <addForeignKeyConstraint baseColumnNames="idcontainer"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_container_to_id"
                                 referencedColumnNames="idcontainerto"
                                 referencedTableName="container"/>

        <addForeignKeyConstraint baseColumnNames="idfacility"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_facility_from_id"
                                 referencedColumnNames="idfacilityfrom"
                                 referencedTableName="facility"/>

        <addForeignKeyConstraint baseColumnNames="idfacility"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_facility_to_id"
                                 referencedColumnNames="idfacilityTo"
                                 referencedTableName="facility"/>

        <addForeignKeyConstraint baseColumnNames="idproduct"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_product_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="product"/>

        <addForeignKeyConstraint baseColumnNames="idinvite"
                                 baseTableName="moving_slip"
                                 constraintName="fk_moving_slip_inventory_item_id"
                                 referencedColumnNames="idinvite"
                                 referencedTableName="inventory_item"/>

    </changeSet>
</databaseChangeLog>
